package com.hzya.frame.sys.thirdparty.api.dao;

import com.hzya.frame.sys.thirdparty.api.entity.SysThirdpartyapi;
import java.util.List;

/**
 * @description: 第三方应用接口表  dao
 * @tableName: sys_thirdparty_api
 * @entityName: SysThirdpartyapi
 * @author: gjh
 * @history: 1.0
 */
public interface ISysThirdpartyapiMapper {

        //通过ID获取数据    entity_get
        SysThirdpartyapi entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysThirdpartyapi> entity_list_base(SysThirdpartyapi entity);

        //  查询符合条件的数量
        Integer entity_count(SysThirdpartyapi entity);

        //分页查询列表 采用like格式 entity_list_like
        List<SysThirdpartyapi> entity_list_like(SysThirdpartyapi entity);

        //查询列表 字段采用or格式   entity_list_or
        List<SysThirdpartyapi> entity_list_or(SysThirdpartyapi entity);

        //新增  entity_insert
        SysThirdpartyapi entity_insert(SysThirdpartyapi entity);

        //修改  entity_update
        Integer entity_update(SysThirdpartyapi entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(SysThirdpartyapi entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(SysThirdpartyapi entity);

        //物理删除
        Integer entity_delete(SysThirdpartyapi entity);


        List<String> entity_getID_by_thirdpartyProductId(List<String> ids);

        Integer delect_by_Id(List<String> interviceids);
}
